<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Title>King Size Special Giant Annual</Title>
  <Series>Bedtime Stories for Impressionable Children</Series>
  <Number>1</Number>
  <Web>https://www.comixology.com/Bedtime-Stories-for-Impressionable-Children-1/digital-comic/927037</Web>
  <Summary>From J.C. Vaughn, the creator of Vampire, PA, it's the comic that COVID-19 couldn't kill! Bedtime Stories For Impressionable Children #2 as in the pipeline when the lockdown hit. Now it's not only back, but it's returned at twice the size - 48 pages, no ads - and with a title befitting its new format! Bedtime Stories For Impressionable Children King Size Special Giant Annual #1 features "All of My Ex-Boyfriends Are Monsters! Really!" by Andrew Sands &amp; Joanna Estep, "Renee" by Mark Ricketts &amp; Micah Clark Farritor, "Pua" by Art Holcomb &amp; Ed Catto, "Preserved!" by J.C. Vaughn, Brendon Fraim &amp; Brian Fraim, and "Toothpick Warriors" by J.C. Vaughn &amp; Mark Wheatley. Join us for these wildly inappropriate tales for kids!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB927037], [ASINB08Y5WQTNN]</Notes>
  <Publisher>American Mythology Productions</Publisher>
  <Genre>Horror, Suspense, Supernatural/Occult</Genre>
  <PageCount>51</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
